diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-cron.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-cron.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-cron.php	2012-09-23 11:57:21.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-cron.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 23,37 ****
  
  if ( !defined('ABSPATH') ) {
  	/** Set up WordPress environment */
! 	require_once('./wp-load.php');
  }
  
  // Uncached doing_cron transient fetch
  function _get_cron_lock() {
! 	global $_wp_using_ext_object_cache, $wpdb;
  
  	$value = 0;
! 	if ( $_wp_using_ext_object_cache ) {
  		// Skip local cache and force refetch of doing_cron transient in case
  		// another processs updated the cache
  		$value = wp_cache_get( 'doing_cron', 'transient', true );
--- 23,37 ----
  
  if ( !defined('ABSPATH') ) {
  	/** Set up WordPress environment */
! 	require_once( dirname( __FILE__ ) . '/wp-load.php' );
  }
  
  // Uncached doing_cron transient fetch
  function _get_cron_lock() {
! 	global $wpdb;
  
  	$value = 0;
! 	if ( wp_using_ext_object_cache() ) {
  		// Skip local cache and force refetch of doing_cron transient in case
  		// another processs updated the cache
  		$value = wp_cache_get( 'doing_cron', 'transient', true );
***************
*** 89,94 ****
--- 89,102 ----
  
  			wp_unschedule_event( $timestamp, $hook, $v['args'] );
  
+ 			/**
+ 			 * Fires scheduled events.
+ 			 *
+ 			 * @since 2.1.0
+ 			 *
+ 			 * @param string $hook Name of the hook that was scheduled to be fired.
+ 			 * @param array $v['args'] The arguments to be passed to the hook.
+ 			 */
   			do_action_ref_array( $hook, $v['args'] );
  
  			// If the hook ran too long and another cron process stole the lock, quit.
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/admin-bar.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/admin-bar.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/admin-bar.php	2013-07-08 15:05:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/admin-bar.php	2013-08-26 10:22:11.000000000 -0500
***************
*** 72,77 ****
--- 72,79 ----
   * Add the WordPress logo menu.
   *
   * @since 3.3.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_wp_menu( $wp_admin_bar ) {
  	$wp_admin_bar->add_menu( array(
***************
*** 130,135 ****
--- 132,139 ----
   * Add the "My Account" item.
   *
   * @since 3.3.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_my_account_item( $wp_admin_bar ) {
  	$user_id      = get_current_user_id();
***************
*** 159,164 ****
--- 163,170 ----
   * Add the "My Account" submenu items.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_my_account_menu( $wp_admin_bar ) {
  	$user_id      = get_current_user_id();
***************
*** 206,211 ****
--- 212,219 ----
   * Add the "Site Name" menu.
   *
   * @since 3.3.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_site_menu( $wp_admin_bar ) {
  	global $current_site;
***************
*** 275,284 ****
   * Add the "My Sites/[Site Name]" menu and all submenus.
   *
   * @since 3.1.0
   */
  function wp_admin_bar_my_sites_menu( $wp_admin_bar ) {
- 	global $wpdb;
- 
  	// Don't show for logged out users or single site mode.
  	if ( ! is_user_logged_in() || ! is_multisite() )
  		return;
--- 283,292 ----
   * Add the "My Sites/[Site Name]" menu and all submenus.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_my_sites_menu( $wp_admin_bar ) {
  	// Don't show for logged out users or single site mode.
  	if ( ! is_user_logged_in() || ! is_multisite() )
  		return;
***************
*** 326,334 ****
  		) );
  		$wp_admin_bar->add_menu( array(
  			'parent' => 'network-admin',
! 			'id'     => 'network-admin-v',
! 			'title'  => __( 'Visit Network' ),
! 			'href'   => network_home_url(),
  		) );
  	}
  
--- 334,348 ----
  		) );
  		$wp_admin_bar->add_menu( array(
  			'parent' => 'network-admin',
! 			'id'     => 'network-admin-t',
! 			'title'  => __( 'Themes' ),
! 			'href'   => network_admin_url( 'themes.php' ),
! 		) );
! 		$wp_admin_bar->add_menu( array(
! 			'parent' => 'network-admin',
! 			'id'     => 'network-admin-p',
! 			'title'  => __( 'Plugins' ),
! 			'href'   => network_admin_url( 'plugins.php' ),
  		) );
  	}
  
***************
*** 396,401 ****
--- 410,417 ----
   * Provide a shortlink.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_shortlink_menu( $wp_admin_bar ) {
  	$short = wp_get_shortlink( 0, 'query' );
***************
*** 418,423 ****
--- 434,441 ----
   * Provide an edit link for posts and terms.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_edit_menu( $wp_admin_bar ) {
  	global $tag, $wp_the_query;
***************
*** 483,488 ****
--- 501,508 ----
   * Add "Add New" menu.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_new_content_menu( $wp_admin_bar ) {
  	$actions = array();
***************
*** 548,553 ****
--- 568,575 ----
   * Add edit comments link with awaiting moderation count bubble.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_comments_menu( $wp_admin_bar ) {
  	if ( !current_user_can('edit_posts') )
***************
*** 572,577 ****
--- 594,601 ----
   * Add appearance submenu items to the "Site Name" menu.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_appearance_menu( $wp_admin_bar ) {
  	$wp_admin_bar->add_group( array( 'parent' => 'site-name', 'id' => 'appearance' ) );
***************
*** 611,616 ****
--- 635,642 ----
   * Provide an update link if theme/plugin/core updates are available.
   *
   * @since 3.1.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_updates_menu( $wp_admin_bar ) {
  
***************
*** 636,641 ****
--- 662,669 ----
   * Add search form.
   *
   * @since 3.3.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_search_menu( $wp_admin_bar ) {
  	if ( is_admin() )
***************
*** 661,666 ****
--- 689,696 ----
   * Add secondary menus.
   *
   * @since 3.3.0
+  *
+  * @param WP_Admin_Bar $wp_admin_bar
   */
  function wp_admin_bar_add_secondary_groups( $wp_admin_bar ) {
  	$wp_admin_bar->add_group( array(
***************
*** 683,689 ****
   * Style and scripts for the admin bar.
   *
   * @since 3.1.0
-  *
   */
  function wp_admin_bar_header() { ?>
  <style type="text/css" media="print">#wpadminbar { display:none; }</style>
--- 713,718 ----
***************
*** 694,700 ****
   * Default admin bar callback.
   *
   * @since 3.1.0
-  *
   */
  function _admin_bar_bump_cb() { ?>
  <style type="text/css" media="screen">
--- 723,728 ----
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/author-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/author-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/author-template.php	2013-07-09 23:20:41.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/author-template.php	2013-09-13 14:25:10.000000000 -0500
***************
*** 26,31 ****
--- 26,38 ----
  	if ( !empty( $deprecated ) )
  		_deprecated_argument( __FUNCTION__, '2.1' );
  
+ 	/**
+ 	 * Filter the display name of the current post's author.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $authordata->display_name The author's display name.
+ 	 */
  	return apply_filters('the_author', is_object($authordata) ? $authordata->display_name : null);
  }
  
***************
*** 71,76 ****
--- 78,91 ----
  function get_the_modified_author() {
  	if ( $last_id = get_post_meta( get_post()->ID, '_edit_last', true) ) {
  		$last_user = get_userdata($last_id);
+ 
+ 		/**
+ 		 * Filter the display name of the author who last edited the current post.
+ 		 *
+ 		 * @since 2.8.0
+ 		 *
+ 		 * @param string $last_user->display_name The author's display name.
+ 		 */
  		return apply_filters('the_modified_author', $last_user->display_name);
  	}
  }
***************
*** 108,113 ****
--- 123,138 ----
  
  	$value = isset( $authordata->$field ) ? $authordata->$field : '';
  
+ 	/**
+ 	 * Filter the value of the requested user metadata.
+ 	 *
+ 	 * The filter name is dynamic and depends on the $field parameter of the function.
+ 	 *
+ 	 * @since 2.8.0
+ 	 *
+ 	 * @param string $value   The value of the metadata.
+ 	 * @param int    $user_id The user ID.
+ 	 */
  	return apply_filters( 'get_the_author_' . $field, $value, $user_id );
  }
  
***************
*** 119,126 ****
   * @param int $user_id Optional. User ID.
   * @echo string The author's field from the current author's DB object.
   */
! function the_author_meta($field = '', $user_id = false) {
! 	echo apply_filters('the_author_' . $field, get_the_author_meta($field, $user_id), $user_id);
  }
  
  /**
--- 144,163 ----
   * @param int $user_id Optional. User ID.
   * @echo string The author's field from the current author's DB object.
   */
! function the_author_meta( $field = '', $user_id = false ) {
! 	$author_meta = get_the_author_meta( $field, $user_id );
! 
! 	/**
! 	 * The value of the requested user metadata.
! 	 *
! 	 * The filter name is dynamic and depends on the $field parameter of the function.
! 	 *
! 	 * @since 2.8.0
! 	 *
! 	 * @param string $author_meta The value of the metadata.
! 	 * @param int    $user_id     The user ID.
! 	 */
! 	echo apply_filters( 'the_author_' . $field, $author_meta, $user_id );
  }
  
  /**
***************
*** 204,209 ****
--- 241,254 ----
  		esc_attr( sprintf( __( 'Posts by %s' ), get_the_author() ) ),
  		get_the_author()
  	);
+ 
+ 	/**
+ 	 * Filter the link to the author page of the author of the current post.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $link HTML link.
+ 	 */
  	echo apply_filters( 'the_author_posts_link', $link );
  }
  
***************
*** 232,238 ****
  		$link = home_url( user_trailingslashit( $link ) );
  	}
  
! 	$link = apply_filters('author_link', $link, $author_id, $author_nicename);
  
  	return $link;
  }
--- 277,292 ----
  		$link = home_url( user_trailingslashit( $link ) );
  	}
  
! 	/**
! 	 * Filter the URL to the author's page.
! 	 *
! 	 * @since 2.1.0
! 	 *
! 	 * @param string $link            The URL to the author's page.
! 	 * @param int    $author_id       The author's id.
! 	 * @param string $author_nicename The author's nice name.
! 	 */
! 	$link = apply_filters( 'author_link', $link, $author_id, $author_nicename );
  
  	return $link;
  }
***************
*** 378,383 ****
--- 432,444 ----
  		set_transient( 'is_multi_author', $is_multi_author );
  	}
  
+ 	/**
+ 	 * Filter whether the site has more than one author with published posts.
+ 	 *
+ 	 * @since 3.2.0
+ 	 *
+ 	 * @param bool $is_multi_author Whether $is_multi_author should evaluate as true.
+ 	 */
  	return apply_filters( 'is_multi_author', (bool) $is_multi_author );
  }
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/bookmark-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/bookmark-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/bookmark-template.php	2012-11-28 17:19:03.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/bookmark-template.php	2013-09-20 18:09:09.000000000 -0500
***************
*** 228,234 ****
  			if ( empty($bookmarks) )
  				continue;
  			$output .= str_replace(array('%id', '%class'), array("linkcat-$cat->term_id", $class), $category_before);
! 			$catname = apply_filters( "link_category", $cat->name );
  			$output .= "$title_before$catname$title_after\n\t<ul class='xoxo blogroll'>\n";
  			$output .= _walk_bookmarks($bookmarks, $r);
  			$output .= "\n\t</ul>\n$category_after\n";
--- 228,242 ----
  			if ( empty($bookmarks) )
  				continue;
  			$output .= str_replace(array('%id', '%class'), array("linkcat-$cat->term_id", $class), $category_before);
! 			/**
! 			 * Filter the bookmarks category name.
! 			 *
! 			 * @since 2.2.0
! 			 *
! 			 * @param string $cat->name The category name of bookmarks.
! 			 */
! 			$catname = apply_filters( 'link_category', $cat->name );
! 
  			$output .= "$title_before$catname$title_after\n\t<ul class='xoxo blogroll'>\n";
  			$output .= _walk_bookmarks($bookmarks, $r);
  			$output .= "\n\t</ul>\n$category_after\n";
***************
*** 249,254 ****
--- 257,269 ----
  		}
  	}
  
+ 	/**
+ 	 * Filter the bookmarks list before it is echoed or returned.
+ 	 *
+ 	 * @since 2.5.0
+ 	 *
+ 	 * @param string $output The HTML list of bookmarks.
+ 	 */
  	$output = apply_filters( 'wp_list_bookmarks', $output );
  
  	if ( !$echo )
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/cache.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/cache.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/cache.php	2013-01-22 14:44:30.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/cache.php	2013-09-16 12:43:09.000000000 -0500
***************
*** 21,30 ****
   * @param int $expire When the cache data should be expired
   * @return bool False if cache key and group already exist, true on success
   */
! function wp_cache_add($key, $data, $group = '', $expire = 0) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->add($key, $data, $group, $expire);
  }
  
  /**
--- 21,30 ----
   * @param int $expire When the cache data should be expired
   * @return bool False if cache key and group already exist, true on success
   */
! function wp_cache_add( $key, $data, $group = '', $expire = 0 ) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->add( $key, $data, $group, (int) $expire );
  }
  
  /**
***************
*** 154,163 ****
   * @param int $expire When to expire the cache contents
   * @return bool False if not exists, true if contents were replaced
   */
! function wp_cache_replace($key, $data, $group = '', $expire = 0) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->replace($key, $data, $group, $expire);
  }
  
  /**
--- 154,163 ----
   * @param int $expire When to expire the cache contents
   * @return bool False if not exists, true if contents were replaced
   */
! function wp_cache_replace( $key, $data, $group = '', $expire = 0 ) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->replace( $key, $data, $group, (int) $expire );
  }
  
  /**
***************
*** 173,182 ****
   * @param int $expire When to expire the cache contents
   * @return bool False on failure, true on success
   */
! function wp_cache_set($key, $data, $group = '', $expire = 0) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->set($key, $data, $group, $expire);
  }
  
  /**
--- 173,182 ----
   * @param int $expire When to expire the cache contents
   * @return bool False on failure, true on success
   */
! function wp_cache_set( $key, $data, $group = '', $expire = 0 ) {
  	global $wp_object_cache;
  
! 	return $wp_object_cache->set( $key, $data, $group, (int) $expire );
  }
  
  /**
***************
*** 320,326 ****
  	 * @param int $expire When to expire the cache contents
  	 * @return bool False if cache key and group already exist, true on success
  	 */
! 	function add( $key, $data, $group = 'default', $expire = '' ) {
  		if ( wp_suspend_cache_addition() )
  			return false;
  
--- 320,326 ----
  	 * @param int $expire When to expire the cache contents
  	 * @return bool False if cache key and group already exist, true on success
  	 */
! 	function add( $key, $data, $group = 'default', $expire = 0 ) {
  		if ( wp_suspend_cache_addition() )
  			return false;
  
***************
*** 334,340 ****
  		if ( $this->_exists( $id, $group ) )
  			return false;
  
! 		return $this->set($key, $data, $group, $expire);
  	}
  
  	/**
--- 334,340 ----
  		if ( $this->_exists( $id, $group ) )
  			return false;
  
! 		return $this->set( $key, $data, $group, (int) $expire );
  	}
  
  	/**
***************
*** 509,515 ****
  	 * @param int $expire When to expire the cache contents
  	 * @return bool False if not exists, true if contents were replaced
  	 */
! 	function replace( $key, $data, $group = 'default', $expire = '' ) {
  		if ( empty( $group ) )
  			$group = 'default';
  
--- 509,515 ----
  	 * @param int $expire When to expire the cache contents
  	 * @return bool False if not exists, true if contents were replaced
  	 */
! 	function replace( $key, $data, $group = 'default', $expire = 0 ) {
  		if ( empty( $group ) )
  			$group = 'default';
  
***************
*** 520,526 ****
  		if ( ! $this->_exists( $id, $group ) )
  			return false;
  
! 		return $this->set( $key, $data, $group, $expire );
  	}
  
  	/**
--- 520,526 ----
  		if ( ! $this->_exists( $id, $group ) )
  			return false;
  
! 		return $this->set( $key, $data, $group, (int) $expire );
  	}
  
  	/**
***************
*** 559,565 ****
  	 * @param int $expire Not Used
  	 * @return bool Always returns true
  	 */
! 	function set($key, $data, $group = 'default', $expire = '') {
  		if ( empty( $group ) )
  			$group = 'default';
  
--- 559,565 ----
  	 * @param int $expire Not Used
  	 * @return bool Always returns true
  	 */
! 	function set( $key, $data, $group = 'default', $expire = 0 ) {
  		if ( empty( $group ) )
  			$group = 'default';
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/canonical.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/canonical.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/canonical.php	2013-07-08 15:27:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/canonical.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 101,106 ****
--- 101,120 ----
  			}
  		}
  
+ 		if ( get_query_var( 'day' ) && get_query_var( 'monthnum' ) && get_query_var( 'year' ) ) {
+ 			$year  = get_query_var( 'year' );
+ 			$month = get_query_var( 'monthnum' );
+ 			$day   = get_query_var( 'day' );
+ 			$date  = sprintf( '%04d-%02d-%02d', $year, $month, $day );
+ 			if ( ! wp_checkdate( $month, $day, $year, $date ) ) {
+ 				$redirect_url = get_month_link( $year, $month );
+ 				$redirect['query'] = _remove_qs_args_if_not_in_url( $redirect['query'], array( 'year', 'monthnum', 'day' ), $redirect_url );
+ 			}
+ 		} elseif ( get_query_var( 'monthnum' ) && get_query_var( 'year' ) && 12 < get_query_var( 'monthnum' ) ) {
+ 			$redirect_url = get_year_link( get_query_var( 'year' ) );
+ 			$redirect['query'] = _remove_qs_args_if_not_in_url( $redirect['query'], array( 'year', 'monthnum' ), $redirect_url );
+ 		}
+ 
  		if ( ! $redirect_url ) {
  			if ( $redirect_url = redirect_guess_404_permalink() ) {
  				$redirect['query'] = _remove_qs_args_if_not_in_url( $redirect['query'], array( 'page', 'feed', 'p', 'page_id', 'attachment_id', 'pagename', 'name', 'post_type' ), $redirect_url );
***************
*** 282,287 ****
--- 296,302 ----
  
  		if ( 'wp-register.php' == basename( $redirect['path'] ) ) {
  			if ( is_multisite() )
+ 				/** This filter is documented in wp-login.php */
  				$redirect_url = apply_filters( 'wp_signup_location', network_site_url( 'wp-signup.php' ) );
  			else
  				$redirect_url = site_url( 'wp-login.php?action=register' );
***************
*** 418,425 ****
  		$requested_url = preg_replace_callback('|%[a-fA-F0-9][a-fA-F0-9]|', 'lowercase_octets', $requested_url);
  	}
  
! 	// Note that you can use the "redirect_canonical" filter to cancel a canonical redirect for whatever reason by returning false
! 	$redirect_url = apply_filters('redirect_canonical', $redirect_url, $requested_url);
  
  	if ( !$redirect_url || $redirect_url == $requested_url ) // yes, again -- in case the filter aborted the request
  		return false;
--- 433,449 ----
  		$requested_url = preg_replace_callback('|%[a-fA-F0-9][a-fA-F0-9]|', 'lowercase_octets', $requested_url);
  	}
  
! 	/**
! 	 * Filter the canonical redirect URL.
! 	 *
! 	 * Returning false to this filter will cancel the redirect.
! 	 *
! 	 * @since 2.3.0
! 	 *
! 	 * @param string $redirect_url  The redirect URL.
! 	 * @param string $requested_url The requested URL.
! 	 */
! 	$redirect_url = apply_filters( 'redirect_canonical', $redirect_url, $requested_url );
  
  	if ( !$redirect_url || $redirect_url == $requested_url ) // yes, again -- in case the filter aborted the request
  		return false;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/capabilities.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/capabilities.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/capabilities.php	2013-07-08 15:05:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/capabilities.php	2013-10-06 05:56:09.000000000 -0500
***************
*** 95,101 ****
  	 */
  	function _init () {
  		global $wpdb, $wp_user_roles;
! 		$this->role_key = $wpdb->prefix . 'user_roles';
  		if ( ! empty( $wp_user_roles ) ) {
  			$this->roles = $wp_user_roles;
  			$this->use_db = false;
--- 95,101 ----
  	 */
  	function _init () {
  		global $wpdb, $wp_user_roles;
! 		$this->role_key = $wpdb->get_blog_prefix() . 'user_roles';
  		if ( ! empty( $wp_user_roles ) ) {
  			$this->roles = $wp_user_roles;
  			$this->use_db = false;
***************
*** 131,137 ****
  		global $wpdb, $wp_user_roles;
  
  		// Duplicated from _init() to avoid an extra function call.
! 		$this->role_key = $wpdb->prefix . 'user_roles';
  		$this->roles = get_option( $this->role_key );
  		if ( empty( $this->roles ) )
  			return;
--- 131,137 ----
  		global $wpdb, $wp_user_roles;
  
  		// Duplicated from _init() to avoid an extra function call.
! 		$this->role_key = $wpdb->get_blog_prefix() . 'user_roles';
  		$this->roles = get_option( $this->role_key );
  		if ( empty( $this->roles ) )
  			return;
***************
*** 193,198 ****
--- 193,201 ----
  
  		if ( $this->use_db )
  			update_option( $this->role_key, $this->roles );
+ 
+ 		if ( get_option( 'default_role' ) == $role )
+ 			update_option( 'default_role', 'subscriber' );
  	}
  
  	/**
***************
*** 709,715 ****
  		global $wpdb;
  
  		if ( empty($cap_key) )
! 			$this->cap_key = $wpdb->prefix . 'capabilities';
  		else
  			$this->cap_key = $cap_key;
  
--- 712,718 ----
  		global $wpdb;
  
  		if ( empty($cap_key) )
! 			$this->cap_key = $wpdb->get_blog_prefix() . 'capabilities';
  		else
  			$this->cap_key = $cap_key;
  
***************
*** 732,737 ****
--- 735,742 ----
  	 * @since 2.0.0
  	 * @uses $wp_roles
  	 * @access public
+ 	 *
+ 	 * @return array List of all capabilities for the user.
  	 */
  	function get_role_caps() {
  		global $wp_roles;
***************
*** 750,755 ****
--- 755,762 ----
  			$this->allcaps = array_merge( (array) $this->allcaps, (array) $the_role->capabilities );
  		}
  		$this->allcaps = array_merge( (array) $this->allcaps, (array) $this->caps );
+ 
+ 		return $this->allcaps;
  	}
  
  	/**
***************
*** 859,865 ****
  	function update_user_level_from_caps() {
  		global $wpdb;
  		$this->user_level = array_reduce( array_keys( $this->allcaps ), array( $this, 'level_reduction' ), 0 );
! 		update_user_meta( $this->ID, $wpdb->prefix . 'user_level', $this->user_level );
  	}
  
  	/**
--- 866,872 ----
  	function update_user_level_from_caps() {
  		global $wpdb;
  		$this->user_level = array_reduce( array_keys( $this->allcaps ), array( $this, 'level_reduction' ), 0 );
! 		update_user_meta( $this->ID, $wpdb->get_blog_prefix() . 'user_level', $this->user_level );
  	}
  
  	/**
***************
*** 901,907 ****
  		global $wpdb;
  		$this->caps = array();
  		delete_user_meta( $this->ID, $this->cap_key );
! 		delete_user_meta( $this->ID, $wpdb->prefix . 'user_level' );
  		$this->get_role_caps();
  	}
  
--- 908,914 ----
  		global $wpdb;
  		$this->caps = array();
  		delete_user_meta( $this->ID, $this->cap_key );
! 		delete_user_meta( $this->ID, $wpdb->get_blog_prefix() . 'user_level' );
  		$this->get_role_caps();
  	}
  
***************
*** 936,942 ****
  		}
  
  		// Must have ALL requested caps
! 		$capabilities = apply_filters( 'user_has_cap', $this->allcaps, $caps, $args );
  		$capabilities['exist'] = true; // Everyone is allowed to exist
  		foreach ( (array) $caps as $cap ) {
  			if ( empty( $capabilities[ $cap ] ) )
--- 943,949 ----
  		}
  
  		// Must have ALL requested caps
! 		$capabilities = apply_filters( 'user_has_cap', $this->allcaps, $caps, $args, $this );
  		$capabilities['exist'] = true; // Everyone is allowed to exist
  		foreach ( (array) $caps as $cap ) {
  			if ( empty( $capabilities[ $cap ] ) )
***************
*** 1039,1048 ****
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
- 		$post_author_data = $post_author_id == get_current_user_id() ? wp_get_current_user() : get_userdata( $post_author_id );
- 
  		// If the user is the author...
! 		if ( is_object( $post_author_data ) && $user_id == $post_author_data->ID ) {
  			// If the post is published...
  			if ( 'publish' == $post->post_status ) {
  				$caps[] = $post_type->cap->delete_published_posts;
--- 1046,1053 ----
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
  		// If the user is the author...
! 		if ( $user_id == $post_author_id ) {
  			// If the post is published...
  			if ( 'publish' == $post->post_status ) {
  				$caps[] = $post_type->cap->delete_published_posts;
***************
*** 1068,1073 ****
--- 1073,1080 ----
  	case 'edit_post':
  	case 'edit_page':
  		$post = get_post( $args[0] );
+ 		if ( empty( $post ) )
+ 			break;
  
  		if ( 'revision' == $post->post_type ) {
  			$post = get_post( $post->post_parent );
***************
*** 1089,1098 ****
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
- 		$post_author_data = $post_author_id == get_current_user_id() ? wp_get_current_user() : get_userdata( $post_author_id );
- 
  		// If the user is the author...
! 		if ( is_object( $post_author_data ) && $user_id == $post_author_data->ID ) {
  			// If the post is published...
  			if ( 'publish' == $post->post_status ) {
  				$caps[] = $post_type->cap->edit_published_posts;
--- 1096,1103 ----
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
  		// If the user is the author...
! 		if ( $user_id == $post_author_id ) {
  			// If the post is published...
  			if ( 'publish' == $post->post_status ) {
  				$caps[] = $post_type->cap->edit_published_posts;
***************
*** 1143,1151 ****
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
! 		$post_author_data = $post_author_id == get_current_user_id() ? wp_get_current_user() : get_userdata( $post_author_id );
! 
! 		if ( is_object( $post_author_data ) && $user_id == $post_author_data->ID )
  			$caps[] = $post_type->cap->read;
  		elseif ( $status_obj->private )
  			$caps[] = $post_type->cap->read_private_posts;
--- 1148,1154 ----
  		if ( ! $post_author_id )
  			$post_author_id = $user_id;
  
! 		if ( $user_id == $post_author_id )
  			$caps[] = $post_type->cap->read;
  		elseif ( $status_obj->private )
  			$caps[] = $post_type->cap->read_private_posts;
***************
*** 1176,1181 ****
--- 1179,1186 ----
  		break;
  	case 'edit_comment':
  		$comment = get_comment( $args[0] );
+ 		if ( empty( $comment ) )
+ 			break;
  		$post = get_post( $comment->comment_post_ID );
  		$caps = map_meta_cap( 'edit_post', $user_id, $post->ID );
  		break;
***************
*** 1409,1415 ****
   * @since 2.0.0
   *
   * @param string $role Role name.
-  * @return null
   */
  function remove_role( $role ) {
  	global $wp_roles;
--- 1414,1419 ----
***************
*** 1417,1423 ****
  	if ( ! isset( $wp_roles ) )
  		$wp_roles = new WP_Roles();
  
! 	return $wp_roles->remove_role( $role );
  }
  
  /**
--- 1421,1427 ----
  	if ( ! isset( $wp_roles ) )
  		$wp_roles = new WP_Roles();
  
! 	$wp_roles->remove_role( $role );
  }
  
  /**
